# shared/__init__.py
"""Shared helpers for the smartWave project."""

import shared.deviceTypes as deviceTypes
import shared.config as config

def get_lora(*args, **kwargs):
    from .lora_device import get_lora_device
    return get_lora_device(*args, **kwargs)

def get_database(*args, **kwargs):
    from .db import Database
    return Database(*args, **kwargs)

def get_mqtt_client(*args, **kwargs):
    from .mqtt import BrokerClient
    return BrokerClient(*args, **kwargs)